geos::operation::geounion Namespace Reference

Classes to perform efficient unioning of collections of geometries. More...

## Classes

class | ClassicUnionStrategy
| Implementation of UnionStrategy that provides overlay using the first generation overlay routines. More...
class | CascadedPolygonUnion
| Provides an efficient method of unioning a collection of polygonal geometries. More...
class | OverlapUnion
| Unions MultiPolygons efficiently by using full topological union only for polygons which may overlap by virtue of intersecting the common area of the inputs. More...
class | PointGeometryUnion
| Computes the union of a puntal geometry with another arbitrary Geometry. More...
class | UnaryUnionOp
| Unions a collection of Geometry or a single Geometry (which may be a collection) together. More...
class | UnionStrategy

## Detailed Description

Classes to perform efficient unioning of collections of geometries.